summaryrefslogtreecommitdiffstats
path: root/system/listpkg
diff options
context:
space:
mode:
Diffstat (limited to 'system/listpkg')
-rw-r--r--system/listpkg/README9
-rw-r--r--system/listpkg/listpkg.SlackBuild60
-rw-r--r--system/listpkg/listpkg.info10
-rw-r--r--system/listpkg/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/system/listpkg/README b/system/listpkg/README
new file mode 100644
index 0000000000..8deccf8f99
--- /dev/null
+++ b/system/listpkg/README
@@ -0,0 +1,9 @@
+Listpkg (Lists packages are (installed or not) in Slackware.)
+
+Listpkg is a utility for the Slackware system which lists whether one
+or more packages are installed on the system written in sh 'bourne
+shell' script.
+
+Simple usage, listpkg [package1] [package2]... example:
+$ listpkg kdenlive
+$ listpkg audacity kdenlive guvcview
diff --git a/system/listpkg/listpkg.SlackBuild b/system/listpkg/listpkg.SlackBuild
new file mode 100644
index 0000000000..6f3675a96e
--- /dev/null
+++ b/system/listpkg/listpkg.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for listpkg
+# Copyright 2018 Jefferson Rocha <lrcjefferson@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=listpkg
+VERSION=${VERSION:-0.1a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp "$PRGNAM" $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/listpkg/listpkg.info b/system/listpkg/listpkg.info
new file mode 100644
index 0000000000..7db2ea4c6b
--- /dev/null
+++ b/system/listpkg/listpkg.info
@@ -0,0 +1,10 @@
+PRGNAM="listpkg"
+VERSION="0.1a"
+HOMEPAGE="https://notabug.org/jeffersonrocha/ListPkg"
+DOWNLOAD="https://notabug.org/jeffersonrocha/ListPkg/raw/master/listpkg-0.1a.tar.xz"
+MD5SUM="4c4707af5e55d1d150602ea77ab34cb3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jefferson Rocha"
+EMAIL="lrcjefferson@gmail.com"
diff --git a/system/listpkg/slack-desc b/system/listpkg/slack-desc
new file mode 100644
index 0000000000..2d46210ce4
--- /dev/null
+++ b/system/listpkg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+listpkg: listpkg (Lists packages are installed or not in Slackware)
+listpkg:
+listpkg: Listpkg is a utility for the Slackware system
+listpkg: which lists whether one or more packages are installed on the system
+listpkg:
+listpkg: Simple usage, listpkg [package1] [package2]... example:
+listpkg: $ listpkg kdenlive
+listpkg: $ listpkg audacity kdenlive guvcview
+listpkg:
+listpkg: https://notabug.org/jeffersonrocha/trash
+listpkg: